Package org.freeplane.plugin.script.proxy

# Interface Proxy.NodeStyle

All Superinterfaces:
  `NodeStyle`, `NodeStyleRO`, `Proxy.NodeStyleRO`

Enclosing interface:
  `Proxy`

public static interface Proxy.NodeStyle extends Proxy.NodeStyleRO, NodeStyle

## Method Summary

Modifier and Type
Method
Description
`void`
`setMaxNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)`
Set to null to restore default
`void`
`setMinNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)`
Set to null to restore default
`void`
`setStyle(org.freeplane.features.styles.IStyle style)`

### Methods inherited from interface org.freeplane.api.NodeStyle

`setBackgroundColor, setBackgroundColorCode, setFloating, setMaxNodeWidth, setMaxNodeWidth, setMinNodeWidth, setMinNodeWidth, setName, setNodeTextColor, setNumberingEnabled, setTextColor, setTextColorCode`

### Methods inherited from interface org.freeplane.api.NodeStyleRO

`getBackgroundColor, getBackgroundColorCode, getEdge, getFont, getMaxNodeWidth, getMinNodeWidth, getName, getNodeTextColor, getStyleNode, getTextColor, getTextColorCode, isFloating, isNumberingEnabled`

### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.NodeStyleRO

`getStyle`

## Method Details

### setStyle

void setStyle(org.freeplane.features.styles.IStyle style)

### setMinNodeWidth

void setMinNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)
Set to null to restore default

Since:
  1.5.6

### setMaxNodeWidth

void setMaxNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)
Set to null to restore default

Since:
  1.5.6